=== added directory 'prototypes/browser/browser-interface'
=== added file 'prototypes/browser/browser-interface/TODO'
--- prototypes/browser/browser-interface/TODO	1970-01-01 00:00:00 +0000
+++ prototypes/browser/browser-interface/TODO	2007-12-11 12:37:06 +0000
@@ -0,0 +1,13 @@
+IVLE Browser Interface - TODO
+=============================
+
+* Status bar all the way to the bottom even if the page is smaller than
+    screen height.
+* Fix double-border between file table and status bar (if file table is taller
+    than side panel).
+* Find a way to limit the height of filetablediv to exactly fill the canvas.
+    (Currently expands arbitrarily, so its scrollbars never show. It has
+    overflow: auto so it will show scrollbars if its height is constrained).
+* The entire layout should exactly fill the canvas. The side panel should be
+    set to overflow as well, so the canvas scrollbars never show, only the
+    internal ones.

=== added file 'prototypes/browser/browser-interface/browser.css'
--- prototypes/browser/browser-interface/browser.css	1970-01-01 00:00:00 +0000
+++ prototypes/browser/browser-interface/browser.css	2007-12-11 12:37:06 +0000
@@ -0,0 +1,180 @@
+/* browser.css
+ * File Browser Interface Prototype
+ * 
+ * Author: Matt Giuca
+ */
+
+/* GENERAL FORMATTING */
+
+body {
+    background-color: white;
+    color: black;
+    font-family: sans;
+}
+
+a:link, a:visited {
+    color: navy;
+}
+a:hover, a:active, a:focus {
+    color: blue;
+}
+
+p, h1, h2, h3 {
+    padding: 0;
+    margin: 0;
+    margin-top: 11px;
+    margin-bottom: 11px;
+}
+p, h2, h3 {
+    font-size: 1em;
+}
+h1 {
+    font-size: 1.1em;
+}
+
+/* OVERALL LAYOUT */
+
+body {
+    margin: 0;
+    padding: 0;
+}
+
+#middle, #middle tbody {
+    width: 100%;
+    vertical-align: top;
+    border-collapse: collapse;
+}
+
+#sidepanel {
+    width: 300px;
+}
+
+/* TOP BAR */
+
+#topbar {
+    padding: 8px;
+    background-color: #aaf;
+}
+#topbar a {
+    font-weight: bold;
+}
+
+/* FILE LISTINGS TABLE */
+
+#filetable {
+    border-collapse: collapse;
+    border-right: 1px solid #888;
+    padding: 0;
+}
+
+th {
+    text-align: left;
+}
+
+#filetablediv {
+    overflow: auto;
+}
+
+/* Individual column sizes */
+/* All columns have fixed widths except filename, which expands to fit. */
+
+.col-check {
+    width: 20px;
+}
+.col-icons {
+    width: 50px;
+}
+.col-filename {
+    width: auto;
+}
+.col-size {
+    width: 100px;
+}
+.col-date {
+    width: 150px;
+}
+
+/* Table borders and rows */
+
+tr.rowhead {
+    background-color: #336;
+    color: white;
+}
+tr.rowhead a:link, tr.rowhead a:visited {
+    color: #aaf;
+}
+/* Unselected (grey shades)
+ * Note alternating rows are different shades
+ */
+tr.row1 {
+    background-color: #ccc;
+    cursor: pointer;
+}
+tr.row2 {
+    background-color: #aaa;
+    cursor: pointer;
+}
+tr.row1:hover, tr.row2:hover {
+    background-color: #eee;
+}
+/* And if they are selected (blue shades) */
+tr.row1sel {
+    background-color: #88e;
+    cursor: pointer;
+}
+tr.row2sel {
+    background-color: #66c;
+    cursor: pointer;
+}
+tr.row1sel:hover, tr.row2sel:hover {
+    background-color: #eee;
+}
+
+#filetable table {
+    border-collapse: collapse;
+}
+
+#filetable td, #filetable th {
+    border: 1px solid #888;
+}
+
+/* Borders between icons and filename are turned off. */
+
+#filetable td.col-icons, #filetable th.col-date, #filetable td.col-date {
+    border-right: 0 none;
+}
+#filetable td.col-filename {
+    border-left: 0 none;
+}
+
+/* SIDE PANEL */
+
+#sidepanel {
+    border-left: 1px solid #888;
+    border-top: 1px solid #888;
+    background-color: #ccc;
+    font-size: 0.8em;
+    padding: 8px;
+    text-align: center;
+}
+
+#sidepanel p, h1, h2 {
+    margin: 0;
+    padding: 0;
+}
+
+#sidepanel h2 {
+    margin-top: 8px;
+}
+
+#sidepanel a {
+    font-weight: bold;
+}
+
+/* STATUS BAR */
+
+#statusbar {
+    background-color: #aaa;
+    border-top: 1px solid #888;
+    font-size: 0.8em;
+}

=== added file 'prototypes/browser/browser-interface/browser.html'
--- prototypes/browser/browser-interface/browser.html	1970-01-01 00:00:00 +0000
+++ prototypes/browser/browser-interface/browser.html	2007-12-11 12:37:06 +0000
@@ -0,0 +1,129 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<title>File Browser</title>
+<meta http-equiv="Content-Type" content="application/xml+xhtml; charset=utf-8"
+    />
+<script type="text/javascript" src="browser.js"></script>
+<link rel="stylesheet" type="text/css" href="browser.css" />
+</head>
+<body>
+
+<!-- Top bar section -->
+
+<div id="topbar">
+<h1>IVLE File Browser</h1>
+<p id="path"><a href="javascript:alert(&quot;Navigate to home&quot;)">home</a> /
+    <a href="javascript:alert(&quot;Navigate to home/work&quot;)">work</a></p>
+<p><input type="button" value="Refresh" onclick="refresh()" />
+<input type="button" value="New File" onclick="newfile()" />
+<input type="button" value="Commit All" onclick="svncommitall()" /></p>
+</div>
+<!-- End topbar -->
+
+<!-- Centre section - files and side panel -->
+<!-- Using a table-based layout, for reasons of sanity -->
+<table id="middle"><tr>
+
+<!-- File table -->
+<td id="filetable">
+
+<div id="filetablediv">
+
+<table width="100%">
+<thead>
+<tr class="rowhead">
+    <th class="col-check"></th>
+    <th colspan="2" class="col-filename"><a href="javascript:alert(&quot;Sort by name&quot;)" title="Sort by name">Filename</a>
+        <img src="images/interface/sortdown.png" alt="*" /></th>
+    <th class="col-size"><a href="javascript:alert(&quot;Sort by file size&quot;)" title="Sort by file size">Size</a></th>
+    <th class="col-date"><a href="javascript:alert(&quot;Sort by date modified&quot;)" title="Sort by date modified">Modified</a></th>
+</tr>
+</thead>
+<tbody id="files">
+<tr class="row1">
+    <td class="col-check"><input type="checkbox" title="Select this file" /></td>
+    <td class="col-icons"><img src="images/mime/dir.png" width="22" height="22" title="Directory" alt="" />
+        <img src="images/svn/normal.png" width="22" height="22" title="Permanent file" alt="" /></td>
+    <td class="col-filename"><a href="javascript:alert(&quot;Navigate to home/work/subdir1&quot;)" title="subdir1">subdir1</a></td>
+    <td class="col-size"></td>
+    <td class="col-date"><span title="Dec 3 2007, 3:47 PM">Dec 3</span></td>
+</tr>
+<tr class="row2">
+    <td class="col-check"><input type="checkbox" title="Select this file" /></td>
+    <td class="col-icons"><img src="images/mime/dir.png" width="22" height="22" title="Directory" alt="" />
+        <img src="images/svn/unversioned.png" width="22" height="22" title="Temporary file" alt="" /></td>
+    <td class="col-filename"><a href="javascript:alert(&quot;Navigate to home/work/subdir2&quot;)" title="subdir2">subdir2</a></td>
+    <td class="col-size"></td>
+    <td class="col-date"><span title="Dec 8 2007, 11:37 AM">Today, 11:37 AM</span></td>
+</tr>
+<tr class="row1sel">
+    <td class="col-check"><input type="checkbox" title="Select this file" checked="true" /></td>
+    <td class="col-icons"><img src="images/mime/py.png" width="22" height="22" title="Python source code" alt="" />
+        <img src="images/svn/modified.png" width="22" height="22" title="Permanent file (modified)" alt="" /></td>
+    <td class="col-filename">hello.py</td>
+    <td class="col-size">60 B</td>
+    <td class="col-date"><span title="Dec 8 2007, 2:50 PM">Today, 2:50 PM</span></td>
+</tr>
+<tr class="row2">
+    <td class="col-check"><input type="checkbox" title="Select this file" /></td>
+    <td class="col-icons"><img src="images/mime/txt.png" width="22" height="22" title="Text file" alt="" />
+        <img src="images/svn/unversioned.png" width="22" height="22" title="Temporary file" alt="" /></td>
+    <td class="col-filename">world</td>
+    <td class="col-size">24 B</td>
+    <td class="col-date"><span title="Dec 5 2007, 1:40 AM">3 days ago</span></td>
+</tr>
+<tr class="row1">
+    <td class="col-check"><input type="checkbox" title="Select this file" /></td>
+    <td class="col-icons"><img src="images/mime/txt.png" width="22" height="22" title="Text file" alt="" />
+        <img src="images/svn/unversioned.png" width="22" height="22" title="Temporary file" alt="" /></td>
+    <td class="col-filename">File names that are extremely long are not condensed, merely they extend very far and wrap if necessary.txt</td>
+    <td class="col-size">14 kB</td>
+    <td class="col-date"><span title="Nov 11 2007, 9:14 AM">Nov 11</span></td>
+</tr>
+</tbody>
+</table>
+</div>
+</td>
+<!-- End filetable -->
+
+<!-- Side panel -->
+
+<td id="sidepanel">
+<!-- This section is entirely dynamically generated by selecting files.
+     An example follows -->
+     <p><img src="images/mime/large/py.png" title="Python source code" alt="" /></p>
+     <h1>hello.py</h1>
+     <p>Python source code</p>
+     <p><img src="images/svn/modified.png" width="22" height="22" title="Permanent file (modified)" alt="" /><br />Permanent file (modified)</p>
+     <p>Size: 60 bytes</p>
+     <p>Modified: Dec 8 2007, 2:50 PM</p>
+     <h2>Actions</h2>
+     <p><a href="">Edit</a></p>
+     <p><a href="">Run in Browser</a></p>
+     <p><a href="">Run in Console</a></p>
+     <p><a href="">Rename</a></p>
+     <p><a href="">Download</a></p>
+     <p><a href="">Cut</a></p>
+     <p><a href="">Copy</a></p>
+     <h2>Subversion</h2>
+     <p><a href="">Commit</a></p>
+     <p><a href="">Update</a></p>
+</td>
+<!-- End sidepanel -->
+
+</tr></table>
+<!-- End middle -->
+
+<!-- Bottom status bar -->
+
+<div id="statusbar">
+<table>
+<tr><td>5 files, 14 kB</td></tr>
+</table>
+</div>
+<!-- End statusbar -->
+
+</body>
+</html>

=== added file 'prototypes/browser/browser-interface/browser.js'
--- prototypes/browser/browser-interface/browser.js	1970-01-01 00:00:00 +0000
+++ prototypes/browser/browser-interface/browser.js	2007-12-11 12:37:06 +0000
@@ -0,0 +1,8 @@
+/* browser.js
+ * File Browser Interface Prototype
+ * (Unlike the first prototype this does not interact with a server, it is
+ * just a graphical interface demo)
+ *
+ * Author: Matt Giuca
+ */
+

=== added directory 'prototypes/browser/browser-interface/images'
=== added file 'prototypes/browser/browser-interface/images/README'
--- prototypes/browser/browser-interface/images/README	1970-01-01 00:00:00 +0000
+++ prototypes/browser/browser-interface/images/README	2007-12-11 12:37:06 +0000
@@ -0,0 +1,6 @@
+Images from Nuvola icon set, with exceptions.
+
+mime/py.png, mime/large/py.png:
+    Built from "empty" icon from Nuvola plus the Official Python Logo.
+mime/large/multi.png:
+    Built from "txt" icon from Nuvola, shrunk a bit and duplicated 3 times.

=== added directory 'prototypes/browser/browser-interface/images/interface'
=== added file 'prototypes/browser/browser-interface/images/interface/sortdown.png'
Binary files prototypes/browser/browser-interface/images/interface/sortdown.png and prototypes/browser/browser-interface/images/interface/sortdown.png differ
=== added file 'prototypes/browser/browser-interface/images/interface/sortup.png'
Binary files prototypes/browser/browser-interface/images/interface/sortup.png and prototypes/browser/browser-interface/images/interface/sortup.png differ
=== added directory 'prototypes/browser/browser-interface/images/mime'
=== added file 'prototypes/browser/browser-interface/images/mime/dir.png'
Binary files prototypes/browser/browser-interface/images/mime/dir.png and prototypes/browser/browser-interface/images/mime/dir.png differ
=== added directory 'prototypes/browser/browser-interface/images/mime/large'
=== added file 'prototypes/browser/browser-interface/images/mime/large/dir.png'
Binary files prototypes/browser/browser-interface/images/mime/large/dir.png and prototypes/browser/browser-interface/images/mime/large/dir.png differ
=== added file 'prototypes/browser/browser-interface/images/mime/large/multi.png'
Binary files prototypes/browser/browser-interface/images/mime/large/multi.png and prototypes/browser/browser-interface/images/mime/large/multi.png differ
=== added file 'prototypes/browser/browser-interface/images/mime/large/py.png'
Binary files prototypes/browser/browser-interface/images/mime/large/py.png and prototypes/browser/browser-interface/images/mime/large/py.png differ
=== added file 'prototypes/browser/browser-interface/images/mime/large/txt.png'
Binary files prototypes/browser/browser-interface/images/mime/large/txt.png and prototypes/browser/browser-interface/images/mime/large/txt.png differ
=== added file 'prototypes/browser/browser-interface/images/mime/py.png'
Binary files prototypes/browser/browser-interface/images/mime/py.png and prototypes/browser/browser-interface/images/mime/py.png differ
=== added file 'prototypes/browser/browser-interface/images/mime/txt.png'
Binary files prototypes/browser/browser-interface/images/mime/txt.png and prototypes/browser/browser-interface/images/mime/txt.png differ
=== added directory 'prototypes/browser/browser-interface/images/svn'
=== added file 'prototypes/browser/browser-interface/images/svn/modified.png'
Binary files prototypes/browser/browser-interface/images/svn/modified.png and prototypes/browser/browser-interface/images/svn/modified.png differ
=== added file 'prototypes/browser/browser-interface/images/svn/normal.png'
Binary files prototypes/browser/browser-interface/images/svn/normal.png and prototypes/browser/browser-interface/images/svn/normal.png differ
=== added file 'prototypes/browser/browser-interface/images/svn/unversioned.png'
Binary files prototypes/browser/browser-interface/images/svn/unversioned.png and prototypes/browser/browser-interface/images/svn/unversioned.png differ
